# Configuration file

backup {
    # The compression type used for backups. The following ones are available: "zip", "tar.gz", "tar"
    S:compressionType=zip
}


backup_location {
    # The filename of the backup files. Supported variables: 
    #  world, year, month, date, hour, minute, second, identifier. 
    #  Please note: using the identifier is recommended, but not enforced. Please make sure, that your filenames are unique and that two backups will not have the same filename. [default: %world%/Backup--%world%--%year%-%month%-%date%--%hour%-%minute%]
    S:filename=%world%/Backup--%world%--%year%-%month%-%date%--%hour%-%minute%

    # Where to store the Backups. Either an absolute path or relative to the minecraft folder.
    S:location=./backups
}


backup_schedule {
    # How frequently a automatic backup is done in minutes. 0 means Auto-Backup disabled.
    I:delay=30

    # How many full backups to keep. When there are this many full backups, the oldest full backup will be deleted together with all incremental backups, that depend on it. [range: 1 ~ 2147483647, default: 30]
    # 336 = 7 days of 30 min intervals
    I:fullBackupsToKeep=336

    # How many incremental backups to create. Set to something bigger that 0 to enable. If this is set to for example 5, then there will be one full backup, 5 incremental backups and then the next full backup and so on. [range: 0 ~ 500, default: 0]
    I:incrementalBackupsToCreate=0

    # How many incremental backups to keep. When there are this many incremental backups, the oldest incremental backup will be deleted together with all backups, that depend on it. [range: 1 ~ 2147483647, default: 100]
    I:incrementalBackupsToKeep=100

    # If a backup should be done when the world gets loaded.
    B:onStartup=true

    # If the scheduled backup should be skipped if no players were on the server since the last one.
    B:skipbackup=true
}


general {
    # If all players or only admins can use the /backup command.
    B:allPlayers=true

    # If the blacklist is enabled, the dimensions (ids) specified here will not be backed up.
    I:blacklist <
     >

    # Compression rate. Has to be between 9 (high compression) and 1 (low compression).
    I:compressionRate=9

    # If this is set to true, it will use the Dimension Whitelist, if it is false, it will use the Dimension Blacklist
    B:useWhitelist=false

    # If the whitelist is enabled, only the dimensions (ids) specified here will be backed up.
    I:whitelist <
        0
        1
        -1
     >
}


